const newTab = () => {
    chrome.tabs.create({
        url: chrome.runtime.getURL('index.html')
    })
}

document.getElementById('bNewTab').addEventListener('click', newTab)

chrome.tabs.query({ url: `${chrome.runtime.getURL('index.html')}` }, tabs => {
    const list = document.getElementById('openTabs')
    tabs.forEach(tab => {
        const b = document.createElement('button')
        b.innerHTML = tab.title
        b.dataTab = tab
        b.addEventListener('click', e => {
            // console.log(e.target.dataTab);
            chrome.tabs.highlight({ tabs: e.target.dataTab.index })
        })
        list.appendChild(b)
    })
} )